[Stable update] 2019-07-17 – Kernel, KDE, internet browsers, taste information, Octopi, Please

Hi neighborhood,

I’m happy to announce to you that we’re looking ahead to a steady replace. Essentially, we have were given the programs for KDE , and the Desk , and we want safety fixes for Firefox and Thunderbird, with this one.

A few of it’s possible you’ll understand that, for the reason that #snapcraftsummit numerous adjustments within the bundle, went to Manjaro, and our RCs are to be had. It has but to announce 18.1.0-rc3 with the issue. We are nonetheless sharpening the enjoy for the snap to be. The XFCE and the Gnome will include the Liberate Device , and our unencumber of the KDE options and the Uncover , either one of those with the strengthen of snap – on.

On this means, everybody will have simple get entry to to the snap retailer – one-click and also you do not need to fret about on the flip of the snaps . This may permit us to ship you instrument over proprietary, and that we could not prior to. For example, take a look at how you’ll be able to set up Spotify on Manjaro.

This replace comprises the next adjustments:

  • The vast majority of our Bankruptcy has been up to date
  • The Octopi is now within the newest git devote . Record again on any go back.
  • Calamari used to be ready to the entire safety fixes that are required. If you wish to use for the encryption, luks, we strongly suggest the use of the 18.1-rc4 or later!
  • The most recent model of Firefox , and the Wine
  • Plasma5 is now directly to 5.16.3
  • The KDE packages at the moment are within the 19.04.3
  • KDE Frameworks is now at 5.60
  • one of the crucial programs in the XFCE , Gnome and Cinnamon had been up to date
  • A brand new unencumber of LibreOffice out
  • The most recent model of the Desk has been added
  • Firefox is now at 68.0 – It additionally has driven for within the trade is steady .
  • Thunderbird is now at 60,8
  • One of the crucial updates to the common programs, comparable to Posix , Evolution, and the Driving force
  • The latest efforts of the KDE may also be seen thru our on – present with KDE-Dev ISO
  • The Iso of Manjaro Juhraya had been up to date, together with strengthen for the snap – to pre-activated: XFCE , KDE , Gnome

Please give us your comments on the standard, and tell us what do you take into consideration this replace.


Kernels supported within the present

  • linux316 3.16.70
  • linux44 4.4.185 (there is not any module for nvidia-340 the legacy!)
  • linux49 4.9.185
  • linux414 4.14.133
  • linux419 4.19.59
  • linux51 5.1.18
  • linux52 5.2.1 (with none module in a catalyst!)
  • linux419 rt: 4: 19; cf.50_rt22
  • linux50 rt 5.0.21_rt16

For updates of the pack on Tuesday, July 16, 07:25:33 CEST 2019)

  • steady neighborhood x86_64: 1020 packs a brand new and 1016 are got rid of
  • core-stable, x86-64: 35 new, 34 programs
  • extra-stable, x86-64: 739, new, and 832 programs
  • document a steady x86-64: 16 programs in new and 16 got rid of

For an in depth record of the entire adjustments within the bundle may also be discovered right here .

The issues and answers are well known

libbloom> = upgrade-1.6-2-requires handbook intervention

(Taken from the web site for Arch Linux, 2019-07-11 by way of His Aspect. Supply: https://www.archlinux.org/information/libbloom16-2-update-requires-manual-intervention )

The bundle libbloom the former model of the 1.6-2 didn’t have a hyperlink to soname. This has been fastened within the 1.6-2, then the improve will wish to overwrite the hyperlink, soname isn’t tracked is created by way of ldconfig. In the event you obtain an error message

libbloom.: /usr/lib/libbloom.so.1 exists in filesystem

in the event you use it

pacman -Suy --overwrite/usr / lib/libbloom.so.1

to accomplish the improve.

This submit is only a translation of the unique, you’ll be able to in finding it right here.